Uniqueness of Project model fields is not checked sufficiently
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version: 6.1.0   

Resolution: Fixed Affected version:  

Description

In the Project model, :identifier is defined as unique, but it is not guaranteed to be unique in the database.

If transactions are processed in parallel, projects with the same identifier may be created.

Therefore, we propose to add unique-index to the database to guarantee uniqueness.A patch for this purpose is attached.

Associated revisions

Revision 23407 - 2024-12-14 04:29 - Go MAEDA

Fix: Missing uniqueness constraint for projects.identifier in the database (#41975).

Patch by Hiroyuki Kano (user:hiropk).

History

#1 - 2024-12-13 01:55 - Hiroyuki Kano

- File add_unique_index_to_projects_identifier.patch added

The attached patch was incomplete and will be replaced.

#2 - 2024-12-13 02:46 - Go MAEDA

- Status changed from New to Confirmed

- Target version set to 6.1.0

Thank you for your report.

This issue affects almost all versions of Redmine. However, as a general policy, maintenance releases of Redmine do not include database

migrations. Therefore, I set the target version of this issue to 6.1.0, instead of 5.1.6 or 6.0.3.

#3 - 2024-12-14 04:29 - Go MAEDA

- Status changed from Confirmed to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix in r23407. Thank you for your contribution.

Files

add_unique_index_to_projects_identifier.patch 0 Bytes 2024-12-13 Hiroyuki Kano

add_unique_index_to_projects_identifier.patch 460 Bytes 2024-12-13 Hiroyuki Kano
